
Foreman - Bug #1463

Incorrect Redirect from Environments and Puppet Classes

01/20/2012 01:53 PM - Matt Mencel

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I am running foreman in a subdir, so the URL is https://hostname/foreman.  Seems to work fine except for the "Import puppet classes

and environments" button on the Environments and Puppet Classes pages.  It looks like it should redirect back to itself (e.g. 

https://hostname/foreman/environments), but the redirect is losing the /foreman from the path (https://hostname/environments), and I

get a 404 not found.  Hitting back button makes it work.

From the log...

Processing EnvironmentsController#import_environments (for IP_ADDR at 2012-01-20 12:43:46) [GET]

Redirected to https://puppet.dom.com/environments

Completed in 8ms (DB: 0) | 302 Found [https://puppet.dom.com/foreman/environments/import_environments]

Related issues:

Has duplicate Foreman - Feature #1577: Provide configuration to change Forema... Duplicate

Associated revisions

Revision b596ba59 - 07/02/2012 07:01 AM - Ivan Necas

fixes #1463 - let Foreman run on a sub path

e.g. for it being available on http://localhost:3000/foreman you run:

RAILS_RELATIVE_URL_ROOT=/foreman rails s

History

#1 - 07/02/2012 06:56 AM - Ohad Levy

- Target version set to 1.0

#2 - 07/02/2012 07:17 AM - Ivan Necas

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset b596ba5980d55ff14cb2d245e210c014756424b3.
